commit:     bda473719711d5073ca9227d410cd394530eaad8
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 21 20:53:10 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Sun Feb 21 20:53:33 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bda47371

net-misc/chrome-remote-desktop: version bump to 49.0.2623.40

 net-misc/chrome-remote-desktop/Manifest            |   2 +
 .../chrome-remote-desktop-49.0.2623.40.ebuild      | 109 +++++++++++++++++++++
 2 files changed, 111 insertions(+)

diff --git a/net-misc/chrome-remote-desktop/Manifest 
b/net-misc/chrome-remote-desktop/Manifest
index ca73950..c3600c2 100644
--- a/net-misc/chrome-remote-desktop/Manifest
+++ b/net-misc/chrome-remote-desktop/Manifest
@@ -1,2 +1,4 @@
 DIST chrome-remote-desktop_47.0.2526.18_amd64.deb 16611922 SHA256 
311bd33e434fae2cb0471a9a494f875faab551d53c769140b5a9715d239a68dd SHA512 
3503a1471f6f2236951832035c97d18d64917bf374ca01edf93ae652ea10572a8d84d63a8b7a970a5ea37c67c8b24d3a2563db61e2aaeeedc94a5a06936dbb3c
 WHIRLPOOL 
bcd24c053c04f7fe352b346d63238783d6cc5b5f205a66bd066fe477371e7558322f846452ac03f89260bc536a8ed49c1d56988b5b14c62ab4ebef36033f1c00
 DIST chrome-remote-desktop_47.0.2526.18_i386.deb 17153928 SHA256 
3de83736447f20193d85733d15617befa1adb7a70c0b17c0dd46bcc31b7af414 SHA512 
ec03a967c49f092593ec46c8dbf1a72ce7d5b2e63dbaa6d0ea9ea1c0e47ebcbc2aa130ba3135ac6559e3d55b14e77f17568cb72181c86d30f7b64b5666d4c8d6
 WHIRLPOOL 
032c43af5447bab5a790bf6cb78627573caafceb31de84a3e5024ef25239fb9eb44d44746f1a64d3bc92221cd0c0662b0d511beb8ce538ad162954e9a29456f8
+DIST chrome-remote-desktop_49.0.2623.40_amd64.deb 20315570 SHA256 
2f3cb883e1ff2465db47d5aadf773efb49c5f11b0bfe3dfba973608e4db45047 SHA512 
d936885a986a749a0b4ebb1bb68fe0bc14d10d21363a409abbbb224b4f3ee048ef030ee81469be9bbb8c3852d7c6793fcab1f51d52fcaf5b02cda07550b72330
 WHIRLPOOL 
6662bfc8a8c298b7c062e4a10752aa3dfe910c7602a0bc20dc64533195d61ceb414dbc411c7f872e085dd13c46372ee46b33904d68bb5aae13698a04442e3905
+DIST chrome-remote-desktop_49.0.2623.40_i386.deb 20941574 SHA256 
00e480a90b3ed3545ea762d7501b323f2471eb06b11f87882c046598b8f38df7 SHA512 
00cf6641ee993fb8c295ca99cb57cde42eb3dd6cc34ae4684f858279615695d5b1a257081e8988293f94e887986492e112bc0276f572cd592d9879dec88eace8
 WHIRLPOOL 
effd2650ee7d5b97f87ede0ac79bc1818ddc06e3eb742a080b12a4ef67283f5ba20495d5a5b4f5a5923d2a9a574a711513344b08abac3938ad142f27af48ed88

diff --git 
a/net-misc/chrome-remote-desktop/chrome-remote-desktop-49.0.2623.40.ebuild 
b/net-misc/chrome-remote-desktop/chrome-remote-desktop-49.0.2623.40.ebuild
new file mode 100644
index 0000000..b244ef8
--- /dev/null
+++ b/net-misc/chrome-remote-desktop/chrome-remote-desktop-49.0.2623.40.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Base URL: https://dl.google.com/linux/chrome-remote-desktop/deb/
+# Fetch the Release file:
+#  https://dl.google.com/linux/chrome-remote-desktop/deb/dists/stable/Release
+# Which gives you the Packages file:
+#  
https://dl.google.com/linux/chrome-remote-desktop/deb/dists/stable/main/binary-i386/Packages
+#  
https://dl.google.com/linux/chrome-remote-desktop/deb/dists/stable/main/binary-amd64/Packages
+# And finally gives you the file name:
+#  
pool/main/c/chrome-remote-desktop/chrome-remote-desktop_29.0.1547.32_amd64.deb
+#
+# Use curl to find the answer:
+#  curl -q 
https://dl.google.com/linux/chrome-remote-desktop/deb/dists/stable/main/binary-i386/Packages
 | grep ^Filename
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit unpacker eutils python-single-r1
+
+DESCRIPTION="access remote computers via Chrome!"
+PLUGIN_URL="https://chrome.google.com/remotedesktop";
+HOMEPAGE="https://support.google.com/chrome/answer/1649523 ${PLUGIN_URL}"
+BASE_URI="https://dl.google.com/linux/chrome-remote-desktop/deb/pool/main/c/${PN}/${PN}_${PV}";
+SRC_URI="amd64? ( ${BASE_URI}_amd64.deb )
+       x86? ( ${BASE_URI}_i386.deb )"
+
+LICENSE="google-chrome"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+# All the libs this package links against.
+RDEPEND="app-admin/sudo
+       ${PYTHON_DEPS}
+       >=dev-libs/expat-2
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       dev-python/psutil
+       gnome-base/gconf:2
+       media-libs/fontconfig
+       media-libs/freetype:2
+       sys-devel/gcc
+       sys-libs/glibc
+       sys-libs/pam
+       x11-libs/cairo
+       x11-libs/gtk+:2
+       x11-libs/libX11
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrandr
+       x11-libs/libXtst
+       x11-libs/pango"
+# Settings we just need at runtime.
+RDEPEND+="
+       x11-base/xorg-server[xvfb]"
+DEPEND=""
+
+S=${WORKDIR}
+
+QA_PREBUILT="/opt/google/chrome-remote-desktop/*"
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-44.0.2403.44-always-sudo.patch #541708
+       python_fix_shebang 
opt/google/chrome-remote-desktop/chrome-remote-desktop
+}
+
+src_install() {
+       insinto /etc
+       doins -r etc/opt
+
+       insinto /opt
+       doins -r opt/google
+       chmod a+rx "${ED}"/opt/google/${PN}/* || die
+
+       dodir /etc/pam.d
+       dosym system-remote-login /etc/pam.d/${PN}
+
+       dodoc usr/share/doc/${PN}/changelog*
+
+       newinitd "${FILESDIR}"/${PN}.rc ${PN}
+       newconfd "${FILESDIR}"/${PN}.conf.d ${PN}
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               elog "Two ways to launch the server:"
+               elog "(1) access an existing desktop"
+               elog "    (a) install the Chrome plugin on the server & client:"
+               elog "        ${PLUGIN_URL}"
+               elog "    (b) on the server, run the Chrome plugin & enable 
remote access"
+               elog "    (c) on the client, connect to the server"
+               elog "(2) headless system"
+               elog "    (a) install the Chrome plugin on the client:"
+               elog "        ${PLUGIN_URL}"
+               elog "    (b) visit 
https://accounts.google.com/o/oauth2/auth?response_type=code&scope=https://www.googleapis.com/auth/chromoting+https://www.googleapis.com/auth/googletalk+https://www.googleapis.com/auth/userinfo.email&access_type=offline&redirect_uri=https://chromoting-auth.googleplex.com/auth&approval_prompt=force&client_id=440925447803-avn2sj1kc099s0r7v62je5s339mu0am1.apps.googleusercontent.com&hl=en&from_login=1&as=-760f476eeaec11b8&pli=1&authuser=0";
+               elog "    (c) run the command mentioned on the server"
+               elog "    (d) on the client, connect to the server"
+               elog
+               elog "Configuration settings you might want to be aware of:"
+               elog "  ~/.${PN}-session - shell script to start your session"
+               elog "  /etc/init.d/${PN} - script to auto-restart server"
+       fi
+}

Reply via email to